import click

from sdi_checker.app_cli.commands.report import dashboard as cmd_dashboard
from sdi_checker.app_cli.commands.report import errors as cmd_errors
from sdi_checker.app_cli.commands.report import layers as cmd_layers
from sdi_checker.app_cli.commands.report import reports as cmd_reports
from sdi_checker.app_cli.commands.report import test as cmd_test
from sdi_checker.app_cli.commands.report import workspaces as cmd_workspaces


@click.group(name="report")
@click.pass_obj
@click.pass_context
def cli_report(ctx, app):
    """Pleasantries CLI"""
    app.cli(ctx)


cli_report.add_command(cmd_dashboard.run)
cli_report.add_command(cmd_errors.run)
cli_report.add_command(cmd_layers.run)
cli_report.add_command(cmd_reports.run)
cli_report.add_command(cmd_test.run)
cli_report.add_command(cmd_workspaces.run)
