/** @type {import('tailwindcss').Config} */

module.exports = {
    // add daisyUI plugin
    plugins: [
        require("daisyui")
    ],
    theme: {
        extend: {},
    },
    content: ["./index.html", './src/**/*.{svelte,js,ts}'], //for unused css
    variants: {
        extend: {},
    },
    darkmode: false, // or 'media' or 'class'

    // daisyUI config (optional - here are the default values)
    daisyui: {
        themes: false, // false: only light + dark | true: all themes | array: specific themes like this ["light", "dark", "cupcake"]
        darkTheme: "dark", // name of one of the included themes for dark mode
        base: true, // applies background color and foreground color for root element by default
        styled: true, // include daisyUI colors and design decisions for all components
        utils: true, // adds responsive and modifier utility classes
        prefix: "", // prefix for daisyUI classnames (components, modifiers and responsive class names. Not colors)
        logs: true, // Shows info about daisyUI version and used config in the console when building your CSS
        themeRoot: ":root", // The element that receives theme color CSS variables
    },
}