__author__ = "Guillaume Ryckelynck"
__copyright__ = "Copyright 2022, Guillaume Ryckelynck"
__credits__ = ["Guillaume Ryckelynck"]
__license__ = "GPL"
__version__ = "0.0.1"
__maintainer__ = "Guillaume Ryckelynck"
__email__ = "guillaume.ryckelynck@grandest.fr"
__status__ = "Developement"

__config_file__ = "config.yaml"

__config_default__ = {
  "app": {
    "name": "SDI Checker",
    "title": "SDI Checker",
  },
  "locales": {
    "directory": "./sdi_checker/locales/",
    "lang": "fr"
  },
  "history": {
    "file": "./sdi_checker/data/.history",
    "clear_on_exit": False
  },
  "cli": {
    "prompt": ">"
  },
  "logs": {
    "file": "./sdi_checker/data/.log",
    "display": True,
    "format": "txt",
    "save": True
  },
  "audits": {
    "file": "./sdi_checker/data/audits.json",
    "timeout": 30,
    "ssl_verify": False,
  },
  "reports": {
    "directory": "./sdi_checker/data/reports",
    "formats": ['json', 'txt', 'csv'],
    "format": "json",
  },
  "dashboard": {
    "dashboard_directory": "./sdi_checker/dashboard/",
    "templates_directory": "./sdi_checker/dashboard/templates/",
    "destination_directory": "./sdi_checker/dashboard/"
  },
  "web": {
    "server_host": '127.0.0.1',
    "server_port": '8001',
    "ui_host": '127.0.0.1',
    "ui_port": '8001',
    "width": 400,
    "height": 800,
  }
}

__app_name__ = "SDI Checker"
__package_name__ = "sdi_checker"
